Subject: Re: bug#19925: 25.0.50; mouseover menu items takes up to 30sec to show the proper tooltip or message

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Feb 2015 21:42:45 +0200

> Date: Mon, 23 Feb 2015 11:17:21 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > 2. Make the default value of `blink-cursor-blinks' be 0, at least
> > >    on the platforms that present this defect.
> > 
> > I don't see any chance for this suggestion to be accepted, what with
> > the current trend towards laptops and saving battery power (which were
> > the main motivation behind the default behavior of stopping the
> > blinking after a few blinks).
> 
> How about as a user choice (option)?

blink-cursor-blinks is a defcustom, so the user option already exists.
Or maybe I don't understand what do you mean by "user option".

> > The default behavior is now (almost) fixed on the emacs-24 branch.  I
> > say "almost" because there are still a couple of subtle issues:
> > 
> >  . disabling blink-cursor-mode brings the problem back again
> >  . dropping a menu when the cursor already stopped blinking shows the
> >    problem (because clicking to drop a menu doesn't count as an input
> >    event on w32, and so the cursor doesn't resume blinking)
> >  . the "solution" is really a band-aid, and I hope a better solution
> >    will be found eventually
> 
> When this has all been taken care of, as best we (you) can, is there
> a user option that should be added or enhanced, to give users control
> over the possibilities?  Just wondering.

Again, I think we already have enough knobs there.